### Enumeration

# Qmi VoiceCallControlSupplementaryServiceType

since: 1.26

#### Declaration

    enum Qmi.VoiceCallControlSupplementaryServiceType

#### Description [src]

Call control supplementary service type.

Available since: 1.26

#### Members

`QMI_VOICE_CALL_CONTROL_SUPPLEMENTARY_SERVICE_TYPE_ACTIVATE`

  Activate.

  - Value: `1`
  - Available since: 1.26
`QMI_VOICE_CALL_CONTROL_SUPPLEMENTARY_SERVICE_TYPE_DEACTIVATE`

  Deactivate.

  - Value: `2`
  - Available since: 1.26
`QMI_VOICE_CALL_CONTROL_SUPPLEMENTARY_SERVICE_TYPE_REGISTER`

  Register.

  - Value: `3`
  - Available since: 1.26
`QMI_VOICE_CALL_CONTROL_SUPPLEMENTARY_SERVICE_TYPE_ERASE`

  Erase.

  - Value: `4`
  - Available since: 1.26
`QMI_VOICE_CALL_CONTROL_SUPPLEMENTARY_SERVICE_TYPE_INTERROGATE`

  Interrogate.

  - Value: `5`
  - Available since: 1.26
`QMI_VOICE_CALL_CONTROL_SUPPLEMENTARY_SERVICE_TYPE_REGISTER_PASSWORD`

  Register password.

  - Value: `6`
  - Available since: 1.26
`QMI_VOICE_CALL_CONTROL_SUPPLEMENTARY_SERVICE_TYPE_USSD`

  USSD.

  - Value: `7`
  - Available since: 1.26

#### Type functions

###### qmi_voice_call_control_supplementary_service_type_get_string

Gets the nickname string for the `QmiVoiceCallControlSupplementaryServiceType` specified at `val`.

since: 1.26